Wine 4.0 正式版发布,游戏玩家来试试怎么样?

h4cd
 h4cd
发布于 2019年01月23日
收藏 10

经过一年的开发,累积超过 6000 处改动,Wine 4.0 正式版本终于发布了。

Wine(Wine Is Not an Emulator)是一个能够在多种兼容 POSIX 接口的操作系统(诸如 Linux、macOS 与 BSD 等)上运行 Windows 应用的兼容层。它不是像虚拟机或者模拟器一样模仿内部的 Windows 逻辑,而是将 Windows API 调用翻译成为动态的 POSIX 调用,免除了性能和其它一些行为的内存占用,让你能够干净地整合 Windows 应用到你的桌面。

此版本的主要亮点包括:

  • 支持 Vulkan

  • 支持 Direct3D

  • 支持游戏控制器

  • Android 上支持 High-DPI

正如此前我们报导过的,今年 Wine 在 Vulkan 的支持下稳定性方面取得了不错的成绩,同时也针对应用/游戏进行了大量特定修复,4.0 对于游戏玩家来说会是一个非常不错的版本。

详情查看发布公告

下载地址:https://wiki.winehq.org/Download

本站文章除注明转载外,均为本站原创或编译。欢迎任何形式的转载,但请务必注明出处,尊重他人劳动共创开源社区。
转载请注明:文章转载自 开源中国社区 [http://www.oschina.net]
本文标题:Wine 4.0 正式版发布,游戏玩家来试试怎么样?
加载中

精彩评论

加百列Gabriel
加百列Gabriel

引用来自“冰力”的评论

主要问题:wine4.0兼容Windows7还是10的系统api?
wine的目的不是兼容某一版本的Windows,而是一个一个的尝试兼容所有win32应用程序,有错误就修复,由没有实现的dll就实现一个
__JM_Joy__
__JM_Joy__
Wine靠猜的winapi,不容易

最新评论(19

dwingo
dwingo

引用来自“冰力”的评论

主要问题:wine4.0兼容Windows7还是10的系统api?

引用来自“加百列Gabriel”的评论

wine的目的不是兼容某一版本的Windows,而是一个一个的尝试兼容所有win32应用程序,有错误就修复,由没有实现的dll就实现一个

引用来自“冰力”的评论

@加百列Gabriel 这么开发不可能稳定
wine的目标不是100%兼容,无论是时间人力还是能力都很难达到.
他只需完成大多数程序能正常跑就行, 也就是只需要模拟大部分常用的API即可, 工作量能小很多.
最后才是像楼上说的, 把某些程序依赖的遗漏功能和错误修正, 这个只能靠尝试.
久永
久永

引用来自“久永”的评论

好牛逼!
看来我要将系统装成bsd然后来跑这个打Dota2。
等等,
dota2有Vulkan吧?有POSIX版吗?

引用来自“ZaMiHu”的评论

dota2 mac直接就可以跑,重生引擎就支持mac了
BSD呢?
__JM_Joy__
__JM_Joy__
Wine靠猜的winapi,不容易
加百列Gabriel
加百列Gabriel

引用来自“冰力”的评论

主要问题:wine4.0兼容Windows7还是10的系统api?

引用来自“加百列Gabriel”的评论

wine的目的不是兼容某一版本的Windows,而是一个一个的尝试兼容所有win32应用程序,有错误就修复,由没有实现的dll就实现一个

引用来自“冰力”的评论

@加百列Gabriel 这么开发不可能稳定

引用来自“冰力”的评论

原文找到:可以配置为支持Windows XP、Windows 2003 Server、Windows Vista、Windows 2008 Server、Windows 2008 R2 Server、Windows 7和Windows 8操作系统。目前看来还没有兼容 Windows 10 ,所以你们这些造谣的一看就不是做技术的。
wine的特性,里面有win10, https://wiki.winehq.org/Wine_Features
ZaMiHu
ZaMiHu

引用来自“久永”的评论

好牛逼!
看来我要将系统装成bsd然后来跑这个打Dota2。
等等,
dota2有Vulkan吧?有POSIX版吗?
dota2 mac直接就可以跑,重生引擎就支持mac了
冰力
冰力

引用来自“冰力”的评论

主要问题:wine4.0兼容Windows7还是10的系统api?

引用来自“加百列Gabriel”的评论

wine的目的不是兼容某一版本的Windows,而是一个一个的尝试兼容所有win32应用程序,有错误就修复,由没有实现的dll就实现一个

引用来自“冰力”的评论

@加百列Gabriel 这么开发不可能稳定
原文找到:可以配置为支持Windows XP、Windows 2003 Server、Windows Vista、Windows 2008 Server、Windows 2008 R2 Server、Windows 7和Windows 8操作系统。目前看来还没有兼容 Windows 10 ,所以你们这些造谣的一看就不是做技术的。
冰力
冰力

引用来自“冰力”的评论

主要问题:wine4.0兼容Windows7还是10的系统api?

引用来自“加百列Gabriel”的评论

wine的目的不是兼容某一版本的Windows,而是一个一个的尝试兼容所有win32应用程序,有错误就修复,由没有实现的dll就实现一个
@加百列Gabriel 这么开发不可能稳定
我没有抓狂
我没有抓狂
我哭了,你呢
加百列Gabriel
加百列Gabriel

引用来自“冰力”的评论

主要问题:wine4.0兼容Windows7还是10的系统api?
wine的目的不是兼容某一版本的Windows,而是一个一个的尝试兼容所有win32应用程序,有错误就修复,由没有实现的dll就实现一个
伪代码2017
Support for running Win64, Win32 (Win 95/98, NT/2000/XP/2003/Vista/2008/7/8/8.1/10), Win16 (Win 3.1) and DOS programs
Optional use of external vendor DLL files (such as those included with Windows)
X11-based graphics display, allowing remote display to any X terminal, as well as a text mode console
macOS and Android graphics support
Desktop-in-a-box or mixable windows
DirectX support for games
Good support for various sound drivers including ALSA, OSS, PulseAudio and CoreAudio
Support for alternative input devices such as graphics tablets.
Printing: PostScript interface driver to use standard Unix PostScript print services, such as CUPS
Modem, serial device support
Winsock TCP/IP networking support
ASPI interface (SCSI) support for scanners, CD writers, and other devices
Advanced Unicode and foreign language support
Full-featured Wine debugger and configurable trace logging messages for easier troubleshooting
返回顶部
顶部